WAPIsv2.0.2Authentication
Create Token
Authenticate with email and password to obtain an OAuth2 access token and refresh token. Requested scopes must be permitted for the user.
emailstring
WiPay account email.
Format
emailpasswordstring
Account password (minimum 8 characters).
Format
passwordLength
8 <= lengthscopesstring
Space-separated list of WAPI scopes to request.
Response Body
curl -X POST "https://tt.wipayfinancial.com/wapi/auth/tokens" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "password": "pa$$word", "scopes": "wapi-accounts-all wapi-transactions-all" }'{
"message": "OK",
"token_type": "Bearer",
"expires_in": 43200,
"access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOi...",
"refresh_token": "def50200..."
}{
"message": "string"
}{
"message": "The user credentials were incorrect.",
"error": "invalid_credentials",
"error_description": "The user credentials were incorrect."
}{
"message": "string"
}Delete AccountDELETE
Deactivate an authorized account and remove the authorization link. If the user was only linked (not created by the MMA), only the link is removed.
Refresh TokenPOST
Exchange a valid refresh token for a new access token and refresh token pair. The new tokens inherit the same scopes as the original.